> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecomail.cz/llms.txt
> Use this file to discover all available pages before exploring further.

# Find contact

> Search for a subscriber globally across the account by email address.

<ParamField body="query" type="string" required>
  Must be a valid email address.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api2.ecomailapp.cz/search \
    -H "key: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "query": "foo@bar.cz"
    }'
  ```

  ```php PHP theme={null}
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/search');
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_POST, true);
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      'key: YOUR_API_KEY',
      'Content-Type: application/json',
  ]);
  curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
      'query' => 'foo@bar.cz',
  ]));
  $response = curl_exec($ch);
  curl_close($ch);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "email": "foo@bar.cz",
      "list_id": 1,
      "status": 2,
      "name": "Foo",
      "surname": "Bar",
      "custom_fields": {
        "some_field": "text"
      },
      "tags": ["tags"],
      "source": "app",
      "subscribed_at": "2022-11-15T12:59:21.000000Z",
      "unsubscribed_at": "2023-09-21T10:36:38.000000Z"
    }
  ]
  ```

  ```json 422 theme={null}
  {
    "errors": {
      "query": ["Invalid email address"]
    }
  }
  ```
</ResponseExample>
